import core.runtime;
import core.thread;
import core.stdc.stdio;

extern(C):

version(GNU){ // Workaround for linker error
	void* _tlsstart;
	void* _tlsend;
	//int _tls_callbacks_a; // Workaround for GDC/MinGW linker error
}

export int init()
{
	try {
		printf("Initializing runtime...\n");
		Runtime.initialize();
		
		printf("Setting up current thread...\n");
		thread_attachThis();

		printf("Done.\n");
		return 0;
	} catch( Throwable th ){
		auto msg = th.toString();
		fwrite(msg.ptr, msg.length, 1, stdout);
		return 1;
	}
}
