import core.sys.windows.windows;
import core.stdc.stdio;

extern(C)
{
	alias int function() init_t;
}

int main()
{
	auto dll2 = LoadLibraryA("libdll2.dll");
	if( !dll2 ){
		printf("Error loading dll2: %d\n", GetLastError());
		return 1;
	}

	printf("Successfully loaded dll2\n");
	
	init_t init = cast(init_t)GetProcAddress(dll2, "init");
	if( !init ){
		printf("Failed to get init() from dll2\n");
		return 1;
	}
		
	if( init() != 0 ){
		printf("Error initializing dll2\n");
		return 1;
	}
	
	printf("Successfully initialized dll2\n");
	return 0;
}
